%define major_ver	%(echo %{version}|cut -d. -f1,2)
%define	name	tclx
%define	version	8.4.1
%define	release	%mkrel 4
%define libname	%mklibname %{name} %{version}
%define develname %mklibname -d %name

%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Tcl/Tk extensions for POSIX systems
License:	BSD
Group:		System/Libraries
URL:		http://tclx.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/tclx/tclx%{version}.tar.bz2
Requires:	tcl tk
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	groff
Patch1: tclx-8.4-varinit.patch
Patch3: tclx-8.4-man.patch

%description
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name} = %{epoch}:%{version}-%{release}


%description -n %{libname}
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{develname} 
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep

%setup -q -n tclx%{major_ver}
%patch1 -p1 -b .1.varinit
%patch3 -p1 -b .3.patch

%build
%configure \
        --enable-tk=YES \
        --with-tclconfig=%{_libdir} \
        --with-tkconfig=%{_libdir} \
        --with-tclinclude=%{_includedir} \
        --with-tkinclude=%{_includedir} \
	--libdir=%{tcl_sitearch} \
	--enable-gcc \
	--disable-threads \
	--enable-shared \
	--enable-64bit

# parallell build is borked!
make

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
ln -s  %{tcl_sitearch}/tclx%{major_ver}/*.so  %{buildroot}/%{_libdir}

%files -n %{libname}
%doc ChangeLog README
%{tcl_sitearch}/tclx%{major_ver}

%files -n %{develname}
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/mann/*
%{_libdir}/*.so





%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0:8.4.1-4.mga4
+ Revision: 537996
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 joequant <joequant> 0:8.4.1-3.mga4
+ Revision: 488230
- add tclx link

* Sat Aug 03 2013 joequant <joequant> 0:8.4.1-2.mga4
+ Revision: 462945
- add platform independent provides

* Sun May 26 2013 blino <blino> 0:8.4.1-1.mga4
+ Revision: 427752
- fix tclx dir
- drop merged patch
- 8.4.1

* Mon Jan 14 2013 umeabot <umeabot> 0:8.4-2.mga3
+ Revision: 384165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 25 2012 blino <blino> 0:8.4-1.mga2
+ Revision: 226151
- add sha1.lst
- use mklibname macro for devel package
- remove help hack since we do no build help files anymore
- update filelist for 8.4
- use tcl libdir (from Fedora)
- disable threads
- 8.4 (sync patches and build process from Fedora)
- drop old scriptlets
- import spec from last Mandriva revision before svn deletion (/cooker/tclx/current@477297)
- Created package structure for tclx.

